<?php

namespace App\Http\Controllers\v1\Tenancy\Product;

use App\Actions\Tenancy\GetProductsAction;
use App\Http\Controllers\Controller;
use Illuminate\Http\Response;

class GetProductsController extends Controller
{
    public function __invoke(GetProductsAction $action): Response
    {
        return $this->ok($action->execute());
    }
}
